<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: cpp.gmock_class_test.GenerateMocksTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classcpp_1_1gmock__class__test_1_1GenerateMocksTest.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">cpp.gmock_class_test.GenerateMocksTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for cpp.gmock_class_test.GenerateMocksTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classcpp_1_1gmock__class__test_1_1GenerateMocksTest__inherit__graph.svg" width="240" height="202"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for cpp.gmock_class_test.GenerateMocksTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classcpp_1_1gmock__class__test_1_1GenerateMocksTest__coll__graph.svg" width="240" height="202"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a706812da9e8f79a689c707b4032db2d2"><td class="memItemLeft" align="right" valign="top"><a id="a706812da9e8f79a689c707b4032db2d2"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testNamespaces</b> (self)</td></tr>
<tr class="separator:a706812da9e8f79a689c707b4032db2d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba1ab8ae8a897ea9c22a47bcd1524254"><td class="memItemLeft" align="right" valign="top"><a id="aba1ab8ae8a897ea9c22a47bcd1524254"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testClassWithStorageSpecifierMacro</b> (self)</td></tr>
<tr class="separator:aba1ab8ae8a897ea9c22a47bcd1524254"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18cb0f03ecd4e54d0f787694c1513731"><td class="memItemLeft" align="right" valign="top"><a id="a18cb0f03ecd4e54d0f787694c1513731"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testTemplatedForwardDeclaration</b> (self)</td></tr>
<tr class="separator:a18cb0f03ecd4e54d0f787694c1513731"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4098c99b66f0cbea7be9e66352a20f4d"><td class="memItemLeft" align="right" valign="top"><a id="a4098c99b66f0cbea7be9e66352a20f4d"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testTemplatedClass</b> (self)</td></tr>
<tr class="separator:a4098c99b66f0cbea7be9e66352a20f4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32a2840352d970c631d7be1b6d1970e6"><td class="memItemLeft" align="right" valign="top"><a id="a32a2840352d970c631d7be1b6d1970e6"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testTemplateInATemplateTypedef</b> (self)</td></tr>
<tr class="separator:a32a2840352d970c631d7be1b6d1970e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6b3f9d6d3f74298f6ded1e2ac732a3d"><td class="memItemLeft" align="right" valign="top"><a id="ab6b3f9d6d3f74298f6ded1e2ac732a3d"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testTemplatedClassWithTemplatedArguments</b> (self)</td></tr>
<tr class="separator:ab6b3f9d6d3f74298f6ded1e2ac732a3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67d1336b8782257fcfcdbda8c8d4f794"><td class="memItemLeft" align="right" valign="top"><a id="a67d1336b8782257fcfcdbda8c8d4f794"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testTemplateInATemplateTypedefWithComma</b> (self)</td></tr>
<tr class="separator:a67d1336b8782257fcfcdbda8c8d4f794"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a33eca0556008ee96a45fb28e33f64c"><td class="memItemLeft" align="right" valign="top"><a id="a3a33eca0556008ee96a45fb28e33f64c"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testParenthesizedCommaInArg</b> (self)</td></tr>
<tr class="separator:a3a33eca0556008ee96a45fb28e33f64c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4304ed98cf092d16db0e6d35ae53e55"><td class="memItemLeft" align="right" valign="top"><a id="af4304ed98cf092d16db0e6d35ae53e55"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testEnumType</b> (self)</td></tr>
<tr class="separator:af4304ed98cf092d16db0e6d35ae53e55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adafbdda8c967fbb810372e2c9b53970d"><td class="memItemLeft" align="right" valign="top"><a id="adafbdda8c967fbb810372e2c9b53970d"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testEnumClassType</b> (self)</td></tr>
<tr class="separator:adafbdda8c967fbb810372e2c9b53970d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15fcc3f40ca9ff53a2f55dbd2a614d9d"><td class="memItemLeft" align="right" valign="top"><a id="a15fcc3f40ca9ff53a2f55dbd2a614d9d"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testStdFunction</b> (self)</td></tr>
<tr class="separator:a15fcc3f40ca9ff53a2f55dbd2a614d9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classcpp_1_1gmock__class__test_1_1TestCase"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classcpp_1_1gmock__class__test_1_1TestCase')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classcpp_1_1gmock__class__test_1_1TestCase.html">cpp.gmock_class_test.TestCase</a></td></tr>
<tr class="memitem:a68f88bba11511f8c582123d47bf80464 inherit pub_methods_classcpp_1_1gmock__class__test_1_1TestCase"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp_1_1gmock__class__test_1_1TestCase.html#a68f88bba11511f8c582123d47bf80464">assertEqualIgnoreLeadingWhitespace</a> (self, expected_lines, lines)</td></tr>
<tr class="separator:a68f88bba11511f8c582123d47bf80464 inherit pub_methods_classcpp_1_1gmock__class__test_1_1TestCase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a370a64803a9c7086ec50a44f9ece08be"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp_1_1gmock__class__test_1_1GenerateMocksTest.html#a370a64803a9c7086ec50a44f9ece08be">GenerateMocks</a> (cpp_source)</td></tr>
<tr class="separator:a370a64803a9c7086ec50a44f9ece08be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classcpp_1_1gmock__class__test_1_1TestCase"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classcpp_1_1gmock__class__test_1_1TestCase')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classcpp_1_1gmock__class__test_1_1TestCase.html">cpp.gmock_class_test.TestCase</a></td></tr>
<tr class="memitem:a45ab688a4c3eb09df05804384d013d8a inherit pub_static_methods_classcpp_1_1gmock__class__test_1_1TestCase"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp_1_1gmock__class__test_1_1TestCase.html#a45ab688a4c3eb09df05804384d013d8a">StripLeadingWhitespace</a> (lines)</td></tr>
<tr class="separator:a45ab688a4c3eb09df05804384d013d8a inherit pub_static_methods_classcpp_1_1gmock__class__test_1_1TestCase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a370a64803a9c7086ec50a44f9ece08be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a370a64803a9c7086ec50a44f9ece08be">&#9670;&nbsp;</a></span>GenerateMocks()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">def cpp.gmock_class_test.GenerateMocksTest.GenerateMocks </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>cpp_source</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">Convert C++ source to complete Google Mock output source.</pre> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>gmock_class_test.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>cpp</b></li><li class="navelem"><b>gmock_class_test</b></li><li class="navelem"><a class="el" href="classcpp_1_1gmock__class__test_1_1GenerateMocksTest.html">GenerateMocksTest</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
